/*------------------------------------------------
//
// Module: env.c
//
// Objet : afficher en HTML l'environnement
//
// ToDo  : 
//
//
//
// Maintenance :
//
//     Auteur  : Olivier Booklage
//     Version : V1.0
//     Date    : 22/04/1998
//     Remarq. :
//
//
//
//-----------------------------------------------*/


/* ---       Includes externes       -- */

#include	<stdio.h>
#include	<portab.h>

/* ---       Includes internes       -- */

/* --- Constantes globales internes --- */

/* --- Structures globales internes --- */

/* --- Variables globales  internes --- */

/* ---     Prototypage interne      --- */

int main ( int argc, const char *argv[], const char *envp[] );

/* ---         Fonctions            --- */

int main ( int argc, const char *argv[], const char *envp[] ) 
{
int i=0;

	printf("Content-type: text/html%c%c\n",10,10);
	
	printf("<html><head><title>Environment</title></head><body>\n\n");

	while ( envp[i] != NULL )
	{
		printf("%s<br>\n", envp[i++]);
	}

	printf("<br><br>\n\n</body></html>\n<br>");

return(0);
}


/* ---          EOF                 --- */
